Create a Job – Media API – MediaKind
Create a Job
put https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name/jobs/:job_name
Create a new Job.
RBAC Capability Required: ams.job.create
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_namestring Requiredtransform_namestring Requiredjob_namestring Required
Request
This endpoint expects an object.
properties object JobPutProperties Required
Properties of the job
- correlationData map from strings to any (Optional)
- Customer provided key, value pairs that will be returned in Job and JobOutput state events.
- description string or null (Optional) <=1024 characters
- The description of the Job.
- input object Required
The inputs of the Job.
Variants discriminated by @odata.type. Select one variant:
#Microsoft.Media.JobInputAsset object JobInputAsset
@odata.typestring RequiredassetNamestring Required- The name of the input Asset
- end object Optional
- Defines a point on the timeline of the input media at which processing will end. Defaults to the end of the input media.
Variants discriminated by @odata.type. Select one variant:
#Microsoft.Media.AbsoluteClipTime object AbsoluteClipTime
@odata.typestring Required- time string Optional
- The time position in ISO8601 period. e.g PT30S for 30 seconds.
#Microsoft.Media.UtcClipTime object UtcClipTime
@odata.typestring Requiredtime string Optional
- The time position based on UTC time.
trigger object ScteTrigger Optional
- SCTE-35 signal trigger. Recording starts/stops at the first matching signal.
filters list of list of maps (Optional)
searchRange object ScteTriggerSearchRange Optional
- Bounds the signal search to
[anchor+startOffset, anchor+endOffset]. Anchor istimeif present, else dispatch_time (start) or resolved_start (end). endOffsetstring RequiredstartOffsetstring RequiredsignalTypeenum Required- Allowed values: SCTE35
- Bounds the signal search to
files list of strings (Optional)
label string (Optional)
start object (Optional)
Variants discriminated by @odata.type. Select one variant:
#Microsoft.Media.AbsoluteClipTime object AbsoluteClipTime
@odata.typestring Required- time string Optional
#Microsoft.Media.UtcClipTime object UtcClipTime
@odata.typestring Requiredtime string Optional
trigger object ScteTrigger Optional
filters list of list of maps (Optional)
outputs list of objects Required
Variants discriminated by @odata.type. Select one variant:
#Microsoft.Media.JobOutputAsset object JobOutputAsset
@odata.typestring RequiredassetNamestring Required- label string (Optional)
- priority enum Optional Defaults to Normal
Response
201 Job was created
- id string Optional
- Fully qualified resource ID for the resource.
- name string Optional
- properties object JobProperties Required
- Properties of the job
Errors
400 Bad Request
- error object ErrorDetail Required
codestring Requireddetailstring RequiredextraDetailmap from strings to any Optional
401 Unauthorized
403 Forbidden
404 Not Found
500 Internal Server Error